
 LinHES - Feature # 1029: Kodi 18

Status: Closed Priority: Low
Author: knappster Category: Packages: Core
Created: 10/28/2018 Assignee: brfransen
Updated: 05/01/2019 Due date:
Description: Maybe it's too soon to bring to LinHES, but Kodi is on beta 4 of version 18.  I have been testing it since the 

first alpha release back in April and it seems to perform well for me.  I'm going to link a number of PKGBUILD 
files if there is interest in moving forward with this.  Note: some of the dependencies I have not updated since 
April and there could be newer releases.

+rapidjson 1.0.2(make dependency)+
https://drive.google.com/open?id=1ydip5CWS_O_IZINLIdpfxkHT24rHIGQg

+kodi 18 beta 4+
https://drive.google.com/open?id=128WF6Ptmf3pyftuvh_qT98Ug9x_l-ymr
patch file https://drive.google.com/open?id=1lnQOf9SQIaq2VZ-XkWyiH3inTZT31ZfA
the other associated files are already in the LinHES repository

+pvr.mythtv 5.8.11+
https://drive.google.com/open?id=1tQTDq6_8NcyM9dgmMjHTwfwSHYxcbO0j
This also downloads kodi 18 beta 4 source and it seems to build the latest pvr.mythtv release, regardless of 
which is specified.  I'm not sure why and I have not needed to investigate why yet.

*For use with Netflix/Amazon Prime:*
+inputstream.adaptive 2.3.3+
https://drive.google.com/open?id=1i8mzLJwY9tEkElmRpukJmP3HBhKs3ovx

+python-pycryptodomex 3.6.1+
https://drive.google.com/open?id=1PI1rwYOJVV7BdG7z9MUXKaZoFCCvg-rU

I can also supply compiled packages if that would be helpful.  Mythfrontend on my particular machine has 
lockup issues when I play (interlaced?) video using VDPAU, so I have been launching Kodi from mythfrontend 
and using pvr.mythtv as my primary frontend.  Kodi 18 also added a Netflix and an Amazon Prime addon, 
which would provide LinHES users who subscribe to these services the ability to playback videos without 
using chrome and web-on-linhes.  It's been a while since I've done the build from start to finish, so I apologize 
if I've forgotten any PKGBUILDs.  I am happy to provide anything I have inadvertently missed.  I can also post 
a walkthrough of setting up pvr.mythtv, the Netflix Addon, and the Amazon Prime addon in the forums if there 
is any value to it.

Associated revisions
02/01/2019 03:02 pm - brfransen
fmt: initial inclusion: dep of kodi 18. refs #1029

02/01/2019 03:06 pm - brfransen
rapidjson: initial inclusion: dep of kodi 18. refs #1029

02/01/2019 08:27 pm - brfransen
kodi: update to 18.0. refs #1029

02/07/2019 12:05 am - brfransen
kodi-addon-inputstream-adaptive: initial inclusion. refs #1029
02/07/2019 12:19 am - brfransen
python-pycryptodomex: initial inclusion. refs #1029

02/18/2019 08:23 pm - brfransen
kodi: update to 18.1. refs #1029

History
11/24/2018 02:01 pm - knappster
FYI, Kodi 18 is up to RC1 now.  The PKGBUILD's need to be tweaked slightly, and the fmt patch file is no longer required, but it still performs well on 
my machine.

01/28/2019 10:13 pm - brfransen
- Assignee set to brfransen

- Category set to Packages: Core

- Target version set to 8.6

03/18/2019 09:40 pm - brfransen
- Status changed from New to Closed
